Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.util
Interface JposProperties

All Superinterfaces:
  JposPropertiesConst

All Known Implementing Classes:
  DefaultProperties

public interface JposProperties
extends JposPropertiesConst

Sample interface that contains constants for all the JposProperties (names, default values, etc...) and some methods that the implementing property class must define.

Since:
  1.2 (NY 2K 99 meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Inner Class Summary
`static interface` | `JposProperties.MultiProperty` Speficies an interface used for returning multi properties.
`static interface` | `JposProperties.Prop` Simple wrapper class for a property pair

Fields inherited from interface jpos.util.JposPropertiesConst
`DEFAULT_ENTRIES_SER_FILE_NAME, JPOS_CONFIG_POPULATOR_CLASS_MULTIPROP_NAME, JPOS_CONFIG_POPULATOR_FILE_MULTIPROP_NAME, JPOS_POPULATOR_FILE_PROP_NAME, JPOS_POPULATOR_FILE_URL_PROP_NAME, JPOS_PROPERTIES_FILENAME, JPOS_REG_POPULATOR_CLASS_PROP_NAME, JPOS_SERVICE_MANAGER_CLASS_PROP_NAME, JPOS_SERVICE_MANAGER_CLASS_PROP_NAME2, JPOS_TRACING_ON_PROP_VALUE, JPOS_TRACING_PROP_NAME, JPOS_TRACING_TRUE_PROP_VALUE, PROP_NAME_ARRAY`

Method Summary
`JposProperties.MultiProperty` | `getMultiProperty(java.lang.String multiPropName)`
`java.util.Enumeration` | `getPropertyNames()`
`java.lang.String` | `getPropertyString(java.lang.String propName)`
`java.util.Iterator` | `getProps()`
`boolean` | `hasMultiProperty(java.lang.String multiPropName)`
`boolean` | `isLoaded()`
`boolean` | `isPropertyDefined(java.lang.String propName)`
`void` | `loadJposProperties()` Loads the jpos.properties file from the "./jpos/res" directory
`int` | `size()`

Method Detail

### loadJposProperties

    public void loadJposProperties()

  Loads the jpos.properties file from the "./jpos/res" directory
  Since:
    1.2 (NY 2K meeting)

### isLoaded

    public boolean isLoaded()

  Returns:
    true if the properties are loaded
  Since:
    1.3 (Washington DC 2001 meeting)

### getPropertyString

    public java.lang.String getPropertyString(java.lang.String propName)

  Parameters:
    `propName` - the property name to search for
  Returns:
    the String property by name specified looking in System then the "jpos.properties" resource bundle
  Since:
    1.2 (NY 2K meeting)

### isPropertyDefined

    public boolean isPropertyDefined(java.lang.String propName)

  Parameters:
    `propName` - the property name to look for
  Returns:
    true if this property is defined in the Java System properties or in the jpos.properties resource file
  Since:
    1.2 (NY 2K meeting)

### getPropertyNames

    public java.util.Enumeration getPropertyNames()

  Returns:
    an enumeration of properties names defined
  Since:
    1.2 (NY 2K meeting)

### getMultiProperty

    public JposProperties.MultiProperty getMultiProperty(java.lang.String multiPropName)

  Parameters:
    `multiPropName` - the multi-property name
  Returns:
    the MultiProperty by the name passed. MultiProperty are properties named like . where n = 0, 1, ... If the multi-property does not exist then null is returned
  Since:
    1.3 (Wahington DC 2001 meeting)

### hasMultiProperty

    public boolean hasMultiProperty(java.lang.String multiPropName)

  Parameters:
    `multiPropName` - the multi-property name
  Returns:
    true if the MultiProperty by the name passed exist otherwise false
  Since:
    1.3 (Wahington DC 2001 meeting)

### getProps

    public java.util.Iterator getProps()

  Returns:
    an iterator of JposProperties.Prop for all the properties in this JposProperties. Changes to these properties do not affect the JposProperties properties
  Since:
    1.3 (Washington DC 2001)
  See Also:
    `JposProperties.Prop`

### size

    public int size()

  Returns:
    the number of properties in this JposProperties
  Since:
    1.3 (Washington DC 2001 meeting)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details